#ifndef H_MST_PCI_H
#define H_MST_PCI_H

#include <linux/ioctl.h>

/* These will be specific for PCI */
#define PCI_MAGIC 0xD1

#define PCI_INIT _IOC(_IOC_NONE,PCI_MAGIC,0,sizeof(struct mst_pci_init_st))
struct mst_pci_init_st {
  unsigned int bus;
  unsigned int devfn;
  int bar;
};

#define PCI_STOP _IOC(_IOC_NONE,PCI_MAGIC,1,0)

#define PCI_PARAMS _IOR(PCI_MAGIC,2,struct mst_pci_params_st)
struct mst_pci_params_st {
	unsigned long long __attribute__((packed)) bar;
	unsigned long long __attribute__((packed)) size;
};

#endif
