#ifndef H_MST_PPC_H
#define H_MST_PPC_H

#include <linux/ioctl.h>

/* These will be specific for PPC */
#define PPC_MAGIC 0xD2

#define PPC_INIT _IOC(_IOC_NONE,PPC_MAGIC,0,sizeof(struct mst_ppc_init_st))
struct mst_ppc_init_st {
  unsigned int cs;
  unsigned int size;
};

#define PPC_STOP _IOC(_IOC_NONE,PPC_MAGIC,1,0)

struct mst_ppc_params_st {
	unsigned int  cs;
	unsigned int size;
	unsigned int addr;
};
#define PPC_PARAMS _IOR(PPC_MAGIC,2,struct mst_ppc_init_st)


struct mst_ppc_vtop {
        unsigned int pa;
        void *va;
};

#define PPC_VTOP _IOWR (PPC_MAGIC, 3, struct mst_ppc_vtop)

#endif
