/*
 *
 *  mtcr_ib.h - Mellanox Software tools (mst) IB related driver definitions
 *
 */

#ifndef _MTCR_IB_H
#define _MTCR_IB_H

MTCR_API int mib_open(const char *name, mfile *mf);
MTCR_API int mib_close(mfile *mf);
MTCR_API int mib_read4(mfile *mf, unsigned int offset, u_int32_t *value);
MTCR_API int mib_write4(mfile *mf, unsigned int offset, u_int32_t value);
MTCR_API int mib_read64(mfile *mf, unsigned int offset, void *data, int length);
MTCR_API int mib_write64(mfile *mf, unsigned int offset, void *data, int length);

#endif
