/*
 * Copyright (C) Voltaire Ltd. 2001-2003.  ALL RIGHTS RESERVED.
 *
 * This source code (the "Code") is a proprietary product of Voltaire Ltd.
 * (the "Company") and all right, title, and interest in and to the Code,
 * including all associated intellectual property rights, are and shall
 * remain exclusively with the Company.
 *
 * The Code is provided "as is". To the maximum extent permitted by law,
 * the Company disclaims any warranties of any kind, either expressed or
 * implied, including, without limitation, implied warranties of
 * merchantability, fitness for a particular purpose and non-infringement.
 * The Company does not warrant that the Code will operate error free, or
 * in an uninterrupted fashion or that it is compatible with any particular
 * platform. In no event shall the Company be liable for any damages
 * whatsoever (including, without limitation, incidental, direct, indirect,
 * special and consequential damages, damages for loss of business profits,
 * business interruption, loss of business information, or other pecuniary
 * loss) arising out of the use or inability to use the Code, even if
 * advised of the possibility of such damages.
 */


# ifndef __VV_VV_ADAPTOR_COMMON_H__
# define __VV_VV_ADAPTOR_COMMON_H__

// Author: Yiftah Shahar <yiftahs@voltaire.com>

// Description: 
// Common declaration for adaptors types.


typedef struct vv_gen_mr_element_st        vv_gen_mr_element_t;
typedef struct vv_opened_hca_st            vv_opened_hca_t;      // implemented in the v-xxx-common.h
typedef struct vv_opened_cq_st             vv_opened_cq_t;       // implemented in the v-xxx-common.h
typedef struct vv_opened_qp_st             vv_opened_qp_t;       // implemented in the v-xxx-common.h
typedef struct vv_hca_cap_query_st         vv_hca_cap_query_t;
typedef struct vv_asy_ev_element_st        vv_asy_ev_element_t;  // implemented in the v-xxx-common.h

# endif // __VV_VV_ADAPTOR_COMMON_H__
