#!/bin/bash

# Check there is a gmond.conf file.
if [ ! -f /etc/gmond.conf ] ; then
  echo "/etc/gmond.conf does not exist"
  exit 1
fi
 
touch /var/lock/subsys/voltairemonitor
( while [ -e /var/lock/subsys/voltairemonitor ] ; do
	/usr/voltaire/scripts/Diagnostics/get-counters.sh PortXmitData
	/usr/voltaire/scripts/Diagnostics/get-counters.sh PortRcvData
	/usr/voltaire/scripts/Diagnostics/get-counters.sh PortXmitPkts
	/usr/voltaire/scripts/Diagnostics/get-counters.sh PortRcvPkts
	sleep 10
done ) &
exit 0
