#include "EXTERN.h"
#include "perl.h"
#include "XSUB.h"

#include <stdio.h>
#include <unistd.h>
#include <fcntl.h>
#include <errno.h>
#include <sys/stat.h>
#include <sys/sysmacros.h>
#include <../mtcr.h>
#include <sys/ioctl.h>
#include <linux/ppdev.h>

#include "mtcr.h"

MODULE = Device::mtcr		PACKAGE = Device::mtcr

int
mtcr_opendev (dev_name, dev_type)
	char *dev_name
	char *dev_type
	CODE:
		RETVAL = (unsigned long) mopend (dev_name, 
                                                   (strstr(dev_type, "GAMLA")
                                                      ? MST_GAMLA
                                                      : MST_TAVOR));
	OUTPUT:
		RETVAL

void
mtcr_closedev (dev)
	unsigned long dev
	CODE:
                if (dev) {
                        mclose ((mfile *) dev);
                }

unsigned long
mtcr_rd_data(dev, addr)
	unsigned long dev
        unsigned int addr
	CODE:
		unsigned int value;
		mread4 ((mfile *) dev, addr, &value);
		RETVAL = value;
	OUTPUT:
		RETVAL

void
mtcr_wr_data(dev, addr, value)
	unsigned long dev
        unsigned int addr
        unsigned int value
	CODE:
		mwrite4 ((mfile *) dev, addr, value);
