/*
 *
 *  mtcr_i2c.h - Mellanox Software tools (mst) driver: I2C master routines
 *
 */

#ifndef _MTCR_I2C_H
#define _MTCR_I2C_H

#ifdef __cplusplus
extern "C" {
#endif

int  i2c_master_write_cr(mfile *mf, unsigned int value, unsigned int offset, int len);
int  i2c_master_read_cr(mfile *mf, void *value, unsigned int offset, int len);
//No endian-ness conversions. Supports 3 byte reads.
int  i2c_master_read(mfile *mf, void *value, unsigned int offset, int len);
void i2c_master_restore(mfile *mf);
void i2c_master_set(mfile *mf);

#ifdef __cplusplus
}
#endif

#endif
