/*
 *
 *  mtcr_ib.h - Mellanox Software tools (mst) IB related driver definitions
 *
 */

#ifndef _MTCR_MIF_H
#define _MTCR_MIF_H

/*
 * Device driver paramters
 *
 */
typedef enum { MACCELERATE, MRESTORE, MREAD4, MWRITE4, MREAD64, MWRITE64 } mif_ioctl_cmd_t;

typedef struct mif_param_st {
       mif_ioctl_cmd_t cmd;

        DType dtype;

        char addr;
        int len;
        int imm;
        int offset;

        void * buf;

} mif_param_t;

#endif
